<template>
    <div class="other-channels__wrapper">
        <div class="other-channels__header">
            <div class="other-channels__header-wrapper">
                <h6 class="other-channels__header-title">Другие каналы выдачи</h6>
                <div class="my-cards__header-button">
                    <SVGIcon xlink="add-wallet-45" viewBox="0 0 45 45"/>
                    <span class="link blue">Добавить новый кошелек</span>
                </div>
            </div>
        </div>
        <div class="other-channels__content">
            <PurseRow v-for="item in purses"
                      :key="item.id"
                      :bank="item.bank"
                      :card="item.card"
                      :system="item.system"
                      :bound="item.bound"
                      :remove="item.remove"/>
        </div>
    </div>
</template>

<script>
    import PurseRow from "../../components/PurseRow/index";
    import SVGIcon from "../../components/SVGIcon/index";

    export default {
        name: "OtherChannels",
        components: {
            SVGIcon,
            PurseRow,
        },
        data() {
            return {
                purses: [{
                    bound: true,
                    main: false,
                    remove: false,
                    card: {
                        number: '410011974992551'
                    },
                    bank: {
                        name: 'Яндекс.Деньги',
                        icon: 'yamoney-mini',
                    },
                    system: {
                        icon: '',
                    }
                }, {
                    bound: false,
                    main: true,
                    remove: true,
                    card: {
                        number: '5521-49**-****-9513'
                    },
                    bank: {
                        name: 'QIWI Кошелек',
                        icon: 'qiwi-mini',
                    },
                    system: {
                        icon: '',
                    }
                }, {
                    bound: false,
                    main: true,
                    remove: true,
                    card: {
                        number: '5521-49**-****-9513'
                    },
                    bank: {
                        name: 'Платежная система CONTACT',
                        icon: 'new-logo-contact',
                    },
                    system: {
                        icon: '',
                    }
                }]
            }
        }
    }
</script>
